<?php
  
/*
----------------------------------------
Функция обработки и вывода размера файла
----------------------------------------
*/
  
FUNCTION SIZE_FILE($bytes) {
  
  IF ($bytes >= 1073741824) {
    
    $bytes = NUMBER_FORMAT($bytes / 1073741824, 2) . ' Гб';
  
  }ELSEIF ($bytes >= 1048576) {
    
    $bytes = NUMBER_FORMAT($bytes / 1048576, 2) . ' Мб';
  
  }ELSEIF ($bytes >= 1024) {
    
    $bytes = NUMBER_FORMAT($bytes / 1024, 2) . ' Кб';
  
  }ELSEIF ($bytes > 1) {
    
    $bytes = $bytes . ' байты';
  
  }ELSEIF ($bytes == 1) {
    
    $bytes = $bytes . ' байт';
  
  }ELSE{
    
    $bytes = '0 байтов';
  
  }
  
  RETURN $bytes;

}

?>